@import "variables";
@import "fonts";
@import "buttons";

* {
	box-sizing: border-box;
	font-family: "GT-America", Arial, Helvetica, sans-serif;
}

html,
body,
#root {
	margin: 0;
	padding: 0;
}

html {
	font-size: 16px;
}

body {
	color: $text-color-primary;
	overflow-x: hidden;
}

a {
	color: $link-color;

	&:hover {
		color: $link-color-hover;
	}
}

h1,
h2,
h3 {
	padding: 0;
	margin: 0;
	font-weight: 500;
}

header {
	.navbar {
		padding: 0 2.5em;

		&-icon {
			margin-right: 2.5em;
		}

		&-items:last-child {
			margin-right: 2.5em;
		}
	}
}

.banner {
	width: 100%;
	height: 2.5rem;
	background-color: $green;
	color: white;
	font-size: 13px;
	font-weight: 500;
	display: flex;
	justify-content: center;
	align-items: center;

	&-wrapper {
		overflow-y: hidden;
	}
}

main {
	min-height: 100vh;
	width: 100%;
}

.section-title {
	font-size: 2.25rem;
	text-align: center;
}

.dots {
	display: flex;
	gap: 1rem;

	&-dot:is(button) {
		width: 1rem;
		height: 1rem;
		background-color: $gray;
		border-radius: 100%;

		&:is(:hover, .active) {
			background-color: $dark-blue;
		}
	}
}

@media (max-width: 480px) {
	header {
		.navbar {
			&-items:last-child {
				margin-right: 0;
			}
		}
	}
}
